#import "Figure.h"

#define LWIDTH 6.0 
#define LHEIGHT 10.0 

@interface Transition : Figure 
{
    id ioConnections; 		// Used when the transition is running
    BOOL active;
//    BOOL canRunTransition; 
}

// Class methods
+ (void)initialize;
+ (NSColor *)color;
+ (void)setColor: (NSColor *)aColor;

- (id)initWithFrame:(NSRect)frameRect inView:(id)contentView; 
- (void)dealloc;

// This methods are used when de transition is running
- (void)run;
- (void)execute: (id)connections;
- (void)getConnection;
- (BOOL)inputsIsOK;
- (void)eliminateInputs;
- (void)appendOutputs; 

//- (NSImage *)drawFigure;
//- (NSBezierPath *)bezierPath;
- (tGraph)typeGraph;
- (void)descripcion;

- (BOOL)isEnable; 
- (void)setEnable:(BOOL)e; 
//- (BOOL)canRunTransition;
//- (void)setCanRunTransition:(BOOL)ncrt; 
 
@end 
