#import "Element.h"

@implementation Element 

- (id)init
{
    self = [super init];
    posI = 0; 
    posJ = 0; 
    nextI = forwardI = nextJ = forwardJ = nil; 
    content = nil; 
    return self; 
}

- (void)dealloc
{
   if (content!=nil) [content release];
   [super dealloc]; 
}

- (void)setNextI: (Element *)nxt
{
   nextI = nxt; 
}

- (void)setForwardI: (Element *)fwd
{
   forwardI = fwd; 
}

- (void)setNextJ: (Element *)nxt
{
   nextJ = nxt; 
}

- (void)setForwardJ: (Element *)fwd
{
   forwardJ = fwd; 
}

- (void)setCoordI: (int) i J:(int)j; 
{
   posI = i; 
   posJ = j; 
}

- (void)setContent: (id)anObject
{
   content = anObject; 
} 

- (Element *)nextI
{
   return nextI; 
}

- (Element *)forwardI 
{
   return forwardI; 
}

- (Element *)nextJ 
{
   return nextJ;
}

- (Element *)forwardJ
{
   return forwardJ; 
}

- (int)posI
{
   return posI; 
} 

- (int)posJ
{
   return posJ;
}
- (id)content
{
   return content; 
}

// Protocolo NSCoding
- (void)encodeWithCoder:(NSCoder *)aCoder
{
   [aCoder encodeValuesOfObjCTypes: "ii@@@@@", 
           &posI, &posJ, &nextI, &forwardI, &nextJ, &forwardJ, &content];
}

- (id)initWithCoder:(NSCoder *)aDecoder
{
   [aDecoder decodeValuesOfObjCTypes: "ii@@@@@", 
            &posI, &posJ, &nextI, &forwardI, &nextJ, &forwardJ, &content];
   return self;
}


@end 
