// 
//  PNController.h 
//  PetrA
//
//  Created by Amilcar Meneses Viveros on Fri Jan 23 2004.
//  Copyright (c) 2004 CINVESTAV-IPN. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define COLOR_PLACE      1000
#define COLOR_TRANSITION 1001
#define COLOR_CONNECTION 1002
#define COLOR_SELECTED   1003

#define PlaceColor      @"PlaceColor"
#define TransitionColor @"TransitionColor"
#define ConnectionColor @"ConnectionColor"
#define SelectedColor   @"SelectedColor"

@interface PNController : NSObject
{
    IBOutlet id palette;
    IBOutlet id colorPlace;
    IBOutlet id colorTransition;
    IBOutlet id colorConnection;
    IBOutlet id colorSelected;
}

+ (Class)currentGraphic; 

- (void)awakeFromNib;
- (IBAction)setCurrentGraphic:(id)sender;
- (IBAction)setPreferences:(id)sender;

// methods to deal with defaults
- (NSDictionary *)preferencesFromDefaults; 
- (void)savePreferences;

@end
