//
//  PNDocument.h
//  PetrA
//
//  Created by Amilcar Meneses Viveros on Fri Jan 23 2004.
//  Copyright (c) 2004 CINVESTAV-IPN. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PNInspectorController.h"
#include "PNMatrix.h" 

@interface PNDocument : NSDocument
{
    IBOutlet id pnet;
    id pnmatrix; 
}

+ (void)setInspectorController: (PNInspectorController *)aController;
+ (PNInspectorController *)inspectorController;

// methods from first responder 
- (void)cut:(id)sender;
- (void)selectAll:(id)sender; 

- (PNMatrix *)pnMatrix; 
- (void)updatePreferences;

@end
