#import "Figure.h"

#define LRADIO 10.0 
#define ATOKEN 0.9

@interface Place : Figure 
{
   int ntokens; 
}

// Class methods
+ (NSColor *)color;
+ (void)setColor: (NSColor *)aColor;

// Instance Methods
- (id)initWithFrame:(NSRect)frameRect inView:(id)contentView;
- (void)drawFigure;
- (NSBezierPath *)bezierPath; 
- (void)dealloc;

- (int)tokens; 
- (void)addToken;
- (void)setTokens:(int)n;

- (tGraph)typeGraph;
- (void)descripcion;

@end 